# Opportunities Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/opportunities/

Schema for the `Opportunities` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The opportunity's unique identifier
- **`name`** _(string)_
  The opportunity's name
- **`description`** _(string)_
  The opportunity's description
- **`amount`** _(number)_
  The opportunity's amount
- **`currency`** _(string)_
  The amount attribute's currency
- **`owner`** _(object)_
  The opportunity's owner
  - **`id`** _(string)_
    The opportunity's owner's unique identifier
- **`account`** _(object)_
  The opportunity's account
  - **`id`** _(string)_
    The account's unique identifier
- **`contact`** _(array<object>)_
  The opportunity's contacts
  - **`id`** _(string)_
    The contact's unique identifier
- **`stage`** _(object)_
  The opportunity's stage
  - **`id`** _(string)_
    The stage's unique identifier
  - **`name`** _(string)_
    The stage's name
- **`status`** _(string)_
  The opportunity's status
- **`tags`** _(array<object>)_
  The opportunity's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`custom_fields`** _(object)_
  All the custom fields present on the opportunity
- **`last_activity_at`** _(string)_
  The date and time of the opportunity's last activity
- **`close_date`** _(string)_
  The date and time of the opportunity's close date
- **`created_at`** _(string)_
  The date and time of the opportunity's creation
- **`updated_at`** _(string)_
  The date and time of the opportunity's last update
- **`urls`** _(array<object>)_
  The opportunity's urls
  - **`url`** _(string)_
    The opportunity's URL
  - **`type`** _(string)_
    The opportunity's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/opportunities](/docs/api-reference/unified-crm-api/opportunities/list) — List Opportunities
- [POST /unified/crm/opportunities](/docs/api-reference/unified-crm-api/opportunities/create) — Create Opportunities
- [GET /unified/crm/opportunities/{id}](/docs/api-reference/unified-crm-api/opportunities/get) — Get Opportunities
- [DELETE /unified/crm/opportunities/{id}](/docs/api-reference/unified-crm-api/opportunities/delete) — Delete Opportunities
- [PATCH /unified/crm/opportunities/{id}](/docs/api-reference/unified-crm-api/opportunities/update) — Update Opportunities
